
<div class="module">Bearbeiter</div>
<br/>
    Log-Eintr&auml;ge f&uuml;r <strong><?=$admin->name?></strong><br>
    <br>
      <p>
       Ergebnisse: <?=$from +1?> bis <?=$from + $maxLinesPerTable?> von <?=count($logentries)?><br>
       <?php if ($from >= $maxLinesPerTable) { ?><a href="<?=$_SERVER['PHP_SELF']?>?from=0&adminlogin=<?=$adminlogin?>&module=<?=$module?>&action=<?=$action?>">&lt;&lt;</a> | <?php  } ?>
       <?php if ($from >= ($maxLinesPerTable+1)) { ?><a href="<?=$_SERVER['PHP_SELF']?>?from=<?=$from - $maxLinesPerTable?>&adminlogin=<?=$adminlogin?>&module=<?=$module?>&action=<?=$action?>">&lt;</a> | <?php  } ?>
       <?php if ($from <= (count($logentries) - $maxLinesPerTable)) { ?><a href="<?=$_SERVER['PHP_SELF']?>?from=<?=$from + $maxLinesPerTable?>&adminlogin=<?=$adminlogin?>&module=<?=$module?>&action=<?=$action?>">&gt;</a> | <?php  } ?>
       <?php if ($from <= count($logentries) - $maxLinesPerTable) { ?><a href="<?=$_SERVER['PHP_SELF']?>?from=<?=count($logentries) - $maxLinesPerTable?>&adminlogin=<?=$adminlogin?>&module=<?=$module?>&action=<?=$action?>">&gt;&gt;</a><?php  } ?> 
       </p>
    <table>
      <tr bgcolor='#aaaaaa'>
        <td>Zeit</td>
        <td>Aktion</td>
        <td>Objekt</td>
      </tr>

<?
      $ncolor = 0;
      $color[0] = '#eeeeee';
      $color[1] = '#dddddd';
 
      for ($i=$from; $i < $to; $i++) 
      {
         $logentry = $logentries[$i];
         $aktion = $logentry->aktion;
         $date = $logentry->date;
         $object = $logentry->object;
         if ($object != $admin->userId)
         {
             $query = "SELECT * FROM users WHERE userId = '$object'";
             $result_users = dbQuery($query) or 
                 error("Kann Teilnehmer mit ID " . $object . " nicht aus der
                 Datenbank holen: " . dbError());
             $row = dbFetchRow($result_users);
             if (dbNumRows($result_users) == 0)
             {
                 $query = "SELECT * FROM deleted_users WHERE userId = '$object'";
                 $result_users = dbQuery($query) or 
                     error("Kann Teilnehmer mit ID " . $object . " nicht aus der
                             Datenbank holen: " . dbError());
                     $row = dbFetchRow($result_users);
             }
             dbFreeResult($result_users);
             $teilnehmer = $row['vorname'] . " " . $row['name'] . ", " .  $row['versnummer'];
         } else {
             $teilnehmer = '';
         }
         $ncolor=1-$ncolor;
         $myColor = $color[$ncolor];
         if (isset($userId) && $userId == $object)
         {
              $myColor = '#fff2f2';
         }

?>
    <tr bgcolor=<?=$myColor?>>
      <td><?=$date?></td>
      <td><?=$aktion?></td>
      <td><a href="?module=user&action=edit&adminlogin=<?=$adminlogin?>&userId=<?=$row['userId']?>"><?=$teilnehmer?></a></td>
    </tr>
<?php    }
      dbFreeResult($result);
?>
  </table>
